using System;
using System.Reflection.Emit;

internal sealed class Delegate858 : MulticastDelegate
{
	public extern void Invoke(object object_0, OpCode opCode_0);

	public static void smethod_0(object object_0, OpCode opCode_0, Delegate858 delegate858_1)
	{
		delegate858_1(object_0, opCode_0);
	}

	public extern Delegate858(object object_0, IntPtr intptr_0);

	static Delegate858()
	{
		Class10.smethod_13(typeof(Delegate858).TypeHandle);
	}

	internal static Delegate858 delegate858_0;
}
